<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerPengaturan extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 3) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_keuangan/insert_model');
        $this->load->model('bagian_keuangan/select_model');
        $this->load->model('bagian_keuangan/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        $notif = $this->notifikasi->notif_keuangan();
        // Data Login
        $data_login                   = $this->userlogin->user_login();
        $data_id_login                = $this->session->userdata('isloggedin');
        // Query SQL Data atau isi data page
        $pengaturan_koperasi = $this->db->get_where('p_koperasi_aturan')->result();
        // echo '<pre>';
        // var_dump($pengaturan_koperasi);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder' => 'pengaturan',
            'page'   => 'index',
            'judul'  => 'Pengaturan Keuangan || Bagian Keuangan',
            'notif'               => $notif,
            // Isi data
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            // Data isian konten
            'pengaturan'          => $pengaturan_koperasi
        );
        $this->load->view('keuangan/index', $data);
    }
    public function crud()
    {
        if (isset($_POST['ubahAturanPinjaman'])) {
            $this->update_model->ubahAturanPinjaman();
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Merubah Aturan Pinjaman!</div>');
            redirect('keuangan/sistem/aturan_pinjaman');
        }
    }
}

/* End of file ControllerPengaturan.php and path \application\controllers\keuangan\ControllerPengaturan.php */